Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Sun, 21 Nov 2021 02:07:16 +0000

Hi Ebrahim Qasem,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have made an order on the  17th of november
The order should have been delivered on the 19th of november but I received this message from MAX

We were unable to deliver your order 7313472953 on 2021-11-19 21:56:20, reason: Customer no response.!

knowing that I didn't got any kind of contact by the shipping company.

?!  I wonder When the order will be delivered
Hoping that I got response soon
Thank you https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3413554